#pragma once

/*! A class for throwing errors */
class CErrorException
{
public:
  /*! Constructor for the error */
  CErrorException(const char* pca_message) : m_pcaMessage(pca_message) {};

  /*! Get the message */
  inline const char* Message() { return m_pcaMessage; }

private:
  /*! A copy of the message*/
  const char* m_pcaMessage;
};